/* $Id: thread.h 10673 2007-07-24 17:01:23Z rubidium $ */

/** @file thread.h */

#ifndef THREAD_H
#define THREAD_H

struct OTTDThread;

typedef void * (*OTTDThreadFunc)(void*);

OTTDThread *OTTDCreateThread(OTTDThreadFunc, void*);
void       *OTTDJoinThread(OTTDThread*);
void        OTTDExitThread();

#endif /* THREAD_H */
